<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="rech_rechnung_zahlungsziel" pageWidth="484" pageHeight="842" whenNoDataType="AllSectionsNoDetail" columnWidth="484" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="c6eef3ab-fd0c-427e-bab1-f97f235de7a2">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="2.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="com.lp.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="P_MWST_TABELLE_LINKS" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_MWST_TABELLE_RECHTS" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_WAEHRUNG" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_RECHNUNGSENDBETRAG" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_MWST_TABELLE_WAEHRUNG" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_MWST_TABELLE_BETRAG" class="java.lang.String" isForPrompting="false"/>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu diesem Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_ROOT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu allen Reports]]></parameterDescription>
	</parameter>
	<parameter name="P_SKONTO1DATUM" class="java.util.Date" isForPrompting="false"/>
	<parameter name="P_SKONTO2DATUM" class="java.util.Date" isForPrompting="false"/>
	<parameter name="P_SKONTO1ANZAHLTAGE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_SKONTO2ANZAHLTAGE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_SKONTO1PROZENTSATZ" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_SKONTO2PROZENTSATZ" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_BETRAGNURSKONTO1" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_BETRAGNURSKONTO2" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_ZIELDATUMNETTO" class="java.util.Date" isForPrompting="false"/>
	<parameter name="P_NETTOSUMME" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_ZAHLUNGSKONDITION" class="java.lang.String">
		<parameterDescription><![CDATA[Text der Zahlungskondition]]></parameterDescription>
	</parameter>
	<parameter name="P_SEPAMANDATSNUMMER" class="java.lang.String"/>
	<parameter name="P_IBAN" class="java.lang.String"/>
	<parameter name="P_BIC" class="java.lang.String"/>
	<parameter name="P_BANK_NAME" class="java.lang.String"/>
	<parameter name="P_GLAEUBIGER_ID" class="java.lang.String"/>
	<parameter name="P_ZAHLUNGSART" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_ZAHLUNGSARTSPR" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_BELEGDATUM_TIMESTAMP" class="java.sql.Timestamp"/>
	<field name="F_ZAHLUNGSZIELSKONTO1" class="java.lang.String"/>
	<field name="F_ZAHLUNGSZIELSKONTO2" class="java.lang.String"/>
	<field name="F_ZAHLUNGSZIELNETTO" class="java.lang.String"/>
	<title>
		<band height="64" splitType="Stretch">
			<printWhenExpression><![CDATA[$P{P_SEPAMANDATSNUMMER}==null &&
!($P{P_BELEGDATUM_TIMESTAMP}.after($P{P_ZIELDATUMNETTO}))]]></printWhenExpression>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false">
				<reportElement key="F_ZAHLUNGSZIELSKONTO1" positionType="Float" mode="Transparent" x="0" y="12" width="484" height="12" isRemoveLineWhenBlank="true" uuid="3235151a-b98d-4cd3-9566-75849bd195a3">
					<printWhenExpression><![CDATA[$P{P_SKONTO1PROZENTSATZ} != null && $P{P_RECHNUNGSENDBETRAG} != null
&& !($P{P_RECHNUNGSENDBETRAG}.compareTo(new BigDecimal(0)) < 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement markup="styled">
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA["Payable by "+ Helper.formatDatum($P{P_SKONTO1DATUM}, $P{REPORT_LOCALE})
+", means " +$P{P_SKONTO1ANZAHLTAGE} +" days including "
+ Helper.formatZahl($P{P_SKONTO1PROZENTSATZ}, 2, $P{REPORT_LOCALE}) +" % discount "
+ Helper.formatAndRoundCurrency($P{P_BETRAGNURSKONTO1}, $P{REPORT_LOCALE}) +" "+  $P{P_WAEHRUNG} +", total sum "+ Helper.formatAndRoundCurrency( $P{P_RECHNUNGSENDBETRAG}.subtract($P{P_BETRAGNURSKONTO1}), $P{REPORT_LOCALE}) +" "+  $P{P_WAEHRUNG} +"."]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="false">
				<reportElement key="F_ZAHLUNGSZIELSKONTO2" positionType="Float" mode="Transparent" x="0" y="24" width="484" height="12" isRemoveLineWhenBlank="true" uuid="caa87bb4-7c7c-4acb-867f-44b754046fcd">
					<printWhenExpression><![CDATA[$P{P_SKONTO2PROZENTSATZ} != null && $P{P_RECHNUNGSENDBETRAG} != null
&& !($P{P_RECHNUNGSENDBETRAG}.compareTo(new BigDecimal(0)) < 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA["Payable by " + Helper.formatDatum($P{P_SKONTO2DATUM}, $P{REPORT_LOCALE})
+", means " +$P{P_SKONTO2ANZAHLTAGE}
+" days with " + Helper.formatZahl($P{P_SKONTO2PROZENTSATZ}, 2, $P{REPORT_LOCALE}) + " % discount "
+ Helper.formatAndRoundCurrency($P{P_BETRAGNURSKONTO2}, $P{REPORT_LOCALE}) + " " +  $P{P_WAEHRUNG}
+" total sum "+ Helper.formatAndRoundCurrency($P{P_RECHNUNGSENDBETRAG}.subtract($P{P_BETRAGNURSKONTO2}),$P{REPORT_LOCALE}) +" "+  $P{P_WAEHRUNG} +"."]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="false">
				<reportElement key="F_ZAHLUNGSZIELNETTO" positionType="Float" mode="Transparent" x="0" y="36" width="484" height="12" isRemoveLineWhenBlank="true" uuid="20157817-1838-4c3a-910c-e5e01ce21404">
					<printWhenExpression><![CDATA[$P{P_ZIELDATUMNETTO} != null && $P{P_RECHNUNGSENDBETRAG} != null
&& !($P{P_RECHNUNGSENDBETRAG}.compareTo(new BigDecimal(0)) < 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA["Payable net by " + Helper.formatDatum($P{P_ZIELDATUMNETTO}, $P{REPORT_LOCALE}) + " total "
+ Helper.formatAndRoundCurrency($P{P_RECHNUNGSENDBETRAG}, $P{REPORT_LOCALE}) + " " + $P{P_WAEHRUNG} +"."]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="ZAHLUNGSKONDITIONEN" mode="Transparent" x="0" y="0" width="106" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="38d828c9-0896-4e82-8d0d-0e5297909d7d"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement markup="styled">
					<font fontName="Arial" isBold="false"/>
				</textElement>
				<text><![CDATA[Payment terms:]]></text>
			</staticText>
			<textField isStretchWithOverflow="true" isBlankWhenNull="false">
				<reportElement key="F_ZAHLUNGSZIELNETTO" positionType="Float" mode="Transparent" x="0" y="48" width="484" height="12" isRemoveLineWhenBlank="true" uuid="cedfaa06-3c7d-4578-82f6-1c6925c2a7d3">
					<printWhenExpression><![CDATA[$P{P_RECHNUNGSENDBETRAG} != null && $P{P_RECHNUNGSENDBETRAG}.compareTo(new BigDecimal(0)) < 0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA["Within the next days, we will transfer " + Helper.formatZahl($P{P_RECHNUNGSENDBETRAG}.multiply(new BigDecimal(-1)), 2, $P{REPORT_LOCALE}) +" "+ $P{P_WAEHRUNG} + " to you."]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band height="64" splitType="Stretch">
			<printWhenExpression><![CDATA[$P{P_SEPAMANDATSNUMMER}!=null]]></printWhenExpression>
			<textField isStretchWithOverflow="true" isBlankWhenNull="false">
				<reportElement mode="Transparent" x="0" y="0" width="106" height="12" uuid="e61836d9-2bc4-46c8-9d5f-fb35a73544d6"/>
				<textElement>
					<font fontName="Arial" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Direct debit"]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="false">
				<reportElement mode="Transparent" x="0" y="24" width="484" height="12" uuid="2da8024c-171f-4d4b-8d53-4fec64971c04"/>
				<textElement>
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA["creditor ID "+$P{P_GLAEUBIGER_ID}+" from your account with IBAN "+$P{P_IBAN}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="false">
				<reportElement positionType="Float" mode="Transparent" x="0" y="48" width="484" height="12" uuid="b7514b7a-0110-4326-b602-821da143ceb4"/>
				<textElement>
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA["If the given date is not possible, the collection will be on the next possible date."]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="false">
				<reportElement mode="Transparent" x="0" y="12" width="484" height="12" uuid="5c6cef0f-c8b0-48ad-8d77-2f16473427eb"/>
				<textElement>
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA["We will collect "+
Helper.formatAndRoundCurrency( $P{P_RECHNUNGSENDBETRAG}.subtract(($P{P_BETRAGNURSKONTO1}==null?BigDecimal.ZERO:$P{P_BETRAGNURSKONTO1})), $P{REPORT_LOCALE})+" "+$P{P_WAEHRUNG}+
" on the base of SEPA direct debit mandate with number "+$P{P_SEPAMANDATSNUMMER}+" and "]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="false">
				<reportElement mode="Transparent" x="0" y="36" width="484" height="12" uuid="148ab656-edfe-4c35-a32e-49d913fa3a37"/>
				<textElement>
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA["at "+$P{P_BANK_NAME}+" BIC "+$P{P_BIC}+", dated "+Helper.formatDatum($P{P_SKONTO1DATUM}==null?$P{P_ZIELDATUMNETTO}:$P{P_SKONTO1DATUM}, $P{REPORT_LOCALE})+"."]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="17" splitType="Stretch">
			<printWhenExpression><![CDATA[$P{P_BELEGDATUM_TIMESTAMP}.after($P{P_ZIELDATUMNETTO})
/* Negatives Zahlungsziel, schon bezahlt */]]></printWhenExpression>
			<staticText>
				<reportElement key="ZAHLUNGSKONDITIONEN" mode="Transparent" x="0" y="0" width="484" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="8fec1eba-b619-46b4-aa23-bf6c3a6a7604"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement markup="styled">
					<font fontName="Arial" isBold="false"/>
				</textElement>
				<text><![CDATA[Invoice amount received with thanks.]]></text>
			</staticText>
		</band>
	</columnHeader>
</jasperReport>
